using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WCS.Model;
using WCS.Model.ApiModel.InStore;

namespace WCS.BLL.Services.IService
{
    public interface IInstoreService
    {
        public ResponseBase shelfGoInInStore(ShelfGoInInstoreRequest request);
        public ResponseBase shelfGoOutInStore(ShelfGoOutInStoreRequest request);
        public Task<ResponseBase> queryByMatSn(QueryByMatSnRequest request);
        public Task<ResponseBase> queryByMatSnOut(QueryByMatSnRequest request);
        public Task<ResponseBase> queryInstoreStatus(QueryByMatSnRequest request);
        
    }
}
